
Application: gvSIG desktop - gvSIG bugs #1397
Locator map is drawn and persists incorrectly
11/19/2012 01:48 PM - María Maluenda

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document layout
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2058 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.- Open gvSIG (BN 2058)
2.- Open a new view (EPSG 23030)
3.- Add layer --> http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Hidrografia_ICV_SHP2d.zip
4.- Add locator in view, select layer: http://downloads.gvsig.org/download/geodata/vector/SHP2D/comvalenciana_muni.zip
5.- Click Show menu and select Project Manager
6.- In project manager dialog box, click new map
7.- Insert view in Map
8.- Insert Locator in Map
You can view that in locator not appears, the grey rectangle that framed the space the view inserted and the lines to edges in cross
Save the project, close the project and return to open, you can check that persist the incorrect elements the locator
---------------
1.- Abrir gvSIG (BN 2058) 
2.- Abra una Vista (EPSG 23030)
3.- Añadir capa > http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Hidrografia_ICV_SHP2d.zip
4. Agregar localizador a la vista, seleccione la capa: 
http://downloads.gvsig.org/download/geodata/vector/SHP2D/comvalenciana_muni.zip
5.-Clic en el menú Ver y seleccione el Gestor de proyectos
6.- En el cuadro de diálogo del Gestor de Proyectos,clic en nuevo Mapa
7.- Insertar la vista en el mapa
8.- Insertar el localizador en el mapa
Usted puede ver que no aparece en el localizador, el rectángulo gris que enmarca el espacio de la vista insertada y las líneas de los
bordes en cruz.
Guardar el proyecto, cerrar el proyecto y volver a abrir, se puede comprobar que persisten los elementos incorrectos del localizador.

History
#1 - 11/20/2012 10:54 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 11/20/2012 01:05 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed drawing and persistence of overview frame in layout.
gvsig-app-document-layout:r44

Lines should now be painted correctly also after persisting.

#3 - 11/26/2012 10:00 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2059-beta2
